> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/traffic/bandwidth-cluster/updatebandwidthclustercommitbandwidth.md).

# UpdateBandwidthClusterCommitBandwidth

## 1. 接口描述

本接口(UpdateBandwidthClusterCommitBandwidth)用于修改带宽包的保底带宽。

{% hint style="info" %}
**注意事项**

* 修改带宽包保底会立即生效。
* 存在资源的带宽包可以修改保底带宽。不存在资源的共享带宽包可以直接删除重新创建新的共享带宽包。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                             | 必选 | 类型      | 描述                                                                         |
| -------------------------------- | -- | ------- | -------------------------------------------------------------------------- |
| bandwidthClusterId               | 是  | String  | 共享带宽包ID。                                                                   |
| commitBandwidthMbps              | 是  | Integer | <p>保底带宽。</p><p>可选值范围：\[0, 999999]</p>                                      |
| internationalCommitBandwidthMbps | 否  | Integer | <p>国际线路保底带宽。</p><p>仅 PathBasedBandwidth 线路使用。</p><p>可选值范围：\[0, 999999]</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 将共享带宽包保底带宽100Mbps。**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UpdateBandwidthClusterCommitBandwidth
<Common Request Params>

Request：
{
  "bandwidthClusterId" : "<bandwidth-cluster-id>",
  "commitBandwidthMbps" : 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                               | 说明              |
| ------- | ------------------------------------------------- | --------------- |
| 404     | INVALID\_CLUSTER\_NOT\_FOUND                      | 指定的带宽组不存在。      |
| 400     | INVALID\_CLUSTER\_BANDWIDTH\_UNMODIFIED           | 保底未发生改变。        |
| 400     | INVALID\_CLUSTER\_BANDWIDTH\_UPDATE\_NOT\_SUPPORT | 带宽包不支持修改保底带宽。   |
| 400     | INVALID\_CLUSTER\_NOT\_RUNNING                    | 带宽包内无资源，无法修改带宽。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/traffic/bandwidth-cluster/updatebandwidthclustercommitbandwidth.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
